package com.microservices.pms.specialArea.mapper;

import com.microservices.common.datasource.annotation.Slave;
import com.microservices.pms.specialArea.domain.ForgeProject;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@Slave
public interface SoftwareFactStatisForgeMapper {

   List<ForgeProject> selectForgeProject(ForgeProject forgeProject);

   Long countForgeProject(ForgeProject forgeProject);
   Long countForgeProjectByCUES(ForgeProject forgeProject);
   Long countForgeProjectByProject(ForgeProject forgeProject);
   Long countForgeProjectByAssigner(ForgeProject forgeProject);
}
